## silo 1.4.12-2ubuntu1

=== debian/changelog ===
silo (1.4.12-2ubuntu1) edgy; urgency=low
        
  * Disable gcc stack protector and fix FTBFS.

  * Use bash for make shell.
  (Closes Ubuntu: #61819)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 15 Sep 2006 09:10:26 +0200

silo (1.4.12-2) unstable; urgency=low
	
  * Add a patch (20-silo_cdrom_boot_fix.patch) by David 
    Miller to fix the problems with booting from CD-ROM 
    on a variety of machines. Closes: #261824.
  * Set Section to admin to prevent the override disparity.
  * Update the upstream URL and FSF address in the
    copyright file (lintian warning).

 -- Jurij Smakov <jurij@debian.org>  Tue, 20 Jun 2006 19:24:55 -0700

silo (1.4.12-1) unstable; urgency=low

  * Acknowledge previous NMUs. Thanks to Frans Pop for excellent
    work. Closes: #306012, #349788, #359018.
  * Update to new upstream release (1.4.12).
  * Remove 10-sun4u_notimer.patch, included upstream.
  * Add 10-silo_get_architecture.patch, making it possible
    to build a working SILO with gcc-4.1. Closes: #369890.
  * Change the build-dependency from gcc-2.95 to gcc-4.1 and use it
    for building.
  * Add explicit build-dependency on perl, scripts in debian/scripts
    require it (lintian error).
  * Make sure that /etc/silo.conf is registered as conffile only
    once by modifying debian/packages.d/silo.in (lintian error).
  * Upstream does not ship a changelog anymore, adjust
    debian/rules appropriately.
  * Add myself to uploaders.

 -- Jurij Smakov <jurij@debian.org>  Tue, 13 Jun 2006 20:37:46 -0700

silo (1.4.11-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * Replace sun4u_notimer patch by new patch from David Miller that should
    also work on Niagara systems.

 -- Frans Pop <fjp@debian.org>  Sat, 22 Apr 2006 16:43:17 +0200

silo (1.4.11-0.1) unstable; urgency=low

  * Non-Maintainer Upload. Closes: #359018.
    - New upstream release.
    - Include patch to restore second/timer.c from 1.4.10 to avoid regression
      seen on Ultra 10 where the system would no longer boot automatically
      after expiration of the timeout set in silo.conf.
    - Use debian/compat instead of setting debhelper compatibility in rules.

 -- Frans Pop <fjp@debian.org>  Fri, 14 Apr 2006 02:40:43 +0200

silo (1.4.10-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream release. Closes: #306012, #349788.
  * Update debconf compatibility level to 5.
  * Fix lintian warning for "multiline-field build-depends".

 -- Frans Pop <fjp@debian.org>  Wed, 25 Jan 2006 15:23:27 +0100
