=== debian/control ===
Source: silo
Section: admin
Priority: important
Maintainer: Ben Collins <bcollins@debian.org>
Uploaders: Jurij Smakov <jurij@debian.org>
Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper (>= 5.0), gcc-4.1, bzip2, sparc-utils, perl
Standards-Version: 3.2.1.0

Package: silo
Architecture: sparc
Depends: ${shlibs:Depends}
Replaces: sparc-utils (<< 1.8-1)
Description: Sparc Improved LOader
 Like LILO or MILO, but for SPARC.
 This is the program you need to use if you plan to boot SPARC/Linux
 via a hard drive, floppy or CDROM.  It installs to the boot block of
 your system and will allow for booting of Linux, Solaris, and SunOS.
