=== debian/changelog ===
silo (1.4.13-1) unstable; urgency=low

  * New upstream release.
  * Drop 10-silo_get_architecture.patch and 20-silo_cdrom_boot_fix.patch
    as they have been included upstream (those were the only upstream
    changes).
  * Add 10-silo_new_ufs_superblock.patch to make it possible to build
    silo against new linux-kernel-headers, where ufs_super_block 
    structure has been split into ufs_super_block_{first,second,third}.
    Closes: #393114.
  * Add a build dependency on linux-kernel-headers (>= 2.6.18), that's
    where this change was first introduced.

 -- Jurij Smakov <jurij@debian.org>  Mon, 16 Oct 2006 20:37:29 -0700
  
