=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Ben Collins <bcollins@debian.org>
 Uploaders: Jurij Smakov <jurij@debian.org>
-Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper (>= 5.0), gcc-4.1, bzip2, sparc-utils, perl
+Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper (>= 5.0), gcc-4.1, bzip2, sparc-utils, perl, linux-kernel-headers (>= 2.6.18)
 Standards-Version: 3.2.1.0
 
 Package: silo
