=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # the dbs rules
-TAR_DIR := silo-1.4.12
+TAR_DIR := silo-1.4.13
 include debian/scripts/dbs-build.mk
 
-CC = "gcc-4.1 -m32 -fno-stack-protector"
+CC = "gcc-4.1 -m32"
 
 build: $(STAMP_DIR)/build
 $(STAMP_DIR)/build: $(STAMP_DIR)/patch
