## silo 1.4.13-1ubuntu5

=== debian/changelog ===
silo (1.4.13-1ubuntu5) feisty; urgency=low
  
  * Convert silo.conf to use /dev/disk/by-uuid.

  * Set maintainer stuff for ubuntu.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 16 Mar 2007 13:51:58 +0100

silo (1.4.13-1ubuntu4) feisty; urgency=low
  
  * Change silo.postinst to automatically update the boot block without
    invoking siloconfig and keep asking questions on upgrades.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 08 Jan 2007 08:26:01 +0100

silo (1.4.13-1ubuntu3) feisty; urgency=low
  
  * Add patch 50-silo_needs_printf_instead_of_echo.patch or all *.b files are
    hutterly broken.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 18 Dec 2006 18:09:08 -0800

silo (1.4.13-1ubuntu2) feisty; urgency=low
  
  * Add patch 40-silo_needs_ufs_headers.patch to fix FTBFS since ufs headers
    are not exported by the kernel anymore.

  * fix debian/rules dh_installdocs shell expantion.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 18 Dec 2006 13:05:20 -0800

silo (1.4.13-1ubuntu1) feisty; urgency=low

  * Merge from debian unstable:
    * Change build-dep from linux-kernel-headers to linux-libc-dev

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 08 Nov 2006 02:51:05 +0100
