=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: silo
 Section: admin
 Priority: important
-Maintainer: Ben Collins <bcollins@debian.org>
+Maintainer: Fabio M. Di Nitto <fabbione@ubuntu.com>
+XSBC-Original-Maintainer: Ben Collins <bcollins@debian.org>
 Uploaders: Jurij Smakov <jurij@debian.org>
-Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper (>= 5.0), gcc-4.1, bzip2, sparc-utils, perl, linux-kernel-headers (>= 2.6.18)
+Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper (>= 5.0), gcc-4.1, bzip2, sparc-utils, perl, linux-libc-dev (>= 2.6.18)
 Standards-Version: 3.2.1.0
 
 Package: silo
