=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TAR_DIR := silo-1.4.13
 include debian/scripts/dbs-build.mk
 
-CC = "gcc-4.1 -m32"
+CC = "gcc-4.1 -m32 -fno-stack-protector"
 
 build: $(STAMP_DIR)/build
 $(STAMP_DIR)/build: $(STAMP_DIR)/patch
@@ -33,7 +33,7 @@
 binary-arch: build install $(dh_mak_deps)
 	dh_testdir
 	dh_testroot
-	dh_installdocs $(BUILD_TREE)/docs/{README{,.tilo}} $(BUILD_TREE)/first-isofs/README.SILO_ISOFS
+	dh_installdocs $(BUILD_TREE)/docs/README{,.tilo} $(BUILD_TREE)/first-isofs/README.SILO_ISOFS
 	dh_installchangelogs
 	dh_strip
 	dh_compress
