=== debian/changelog ===
silo (1.4.14+git20120819-2) unstable; urgency=low

  * New Maintainer (Closes: #721498, #677780)
  * Apply wrap-and-sort and remove obsolete local variables from the
    bottom of debian/changelog.
  * Switch VCS repository to git, update Vcs-* headers acoordingly.
  * Enable sparc64 architecture (Closes: #721396)
  * Make tilo.sh (/usr/bin/tilo) work again
    + Add patch to work with newer "file" versions (Closes: #730651)
    + Add patch to find the root address also in more recent kernels
  * Recommend "file" as tilo needs it to run.
  * Rewrite long description to not suggest it's the only Sparc boot loader
    in Debian.
  * Mention tilo and its requirments in the long description.
  * Bump debhelper compatibility to 9.
    + Update versioned debhelper build-dependency accordingly.
  * Switch to source format "3.0 (quilt)"
    + No more build outside the tree
    + Remove quilt build-dependency and quilt traces from debian/rules.
    + Remove now obsolete debian/README.source
  * Revamp debian/rules:
    + Replace "dh_clean -k" with "dh_prep", fixes lintian warning
      dh-clean-k-is-deprecated
    + Use dh_auto_{build,install,clean}
    + No more clean up stamp files manually, dh_clean does that now.
    + Use debian/{docs,manpages} instead of parameters to
      dh_install{docs,man}. Rename directory debian/{manpages → man}
    + Use debian/install + dh_install instead of manually calling install.
    + Finally switch to a minimal dh7 style debian/rules file.
  * Add upstream git repository webpage as Homepage header. Fixes lintian
    warning no-homepage-field.
  * Bump Standards-Version to 3.9.5
    + Introduce a Built-Using field
  * Add patch to fix the following lintian warnings in upstream man pages:
    + hyphen-used-as-minus-sign
    + spelling-error-in-manpage
  * Additionally this upload fixes the following lintian warnings:
    + dm-upload-allowed-is-obsolete
    + hyphen-used-as-minus-sign (in debian/man/silocheck.8)
    + maintainer-script-without-set-e
    + copyright-refers-to-symlink-license

 -- Axel Beckert <abe@debian.org>  Fri, 29 Nov 2013 01:50:28 +0100

silo (1.4.14+git20120819-1) unstable; urgency=low

  [ Jurij Smakov ]
  * New upstream release containing only the following bug fixes:
    - Fix ext4 extent resolution. Without this fix silo fails to
      read silo.conf off a ext4 filesystem.
      Commit: 6ab3e76216353af6b60a99f7e5ebf5611047c831
    - Fix silo crash on Niagara (sun4v) machines whenever 'timeout'
      parameter is used in silo.conf. (Closes: #685245)
      Commits: 1121ecf7b087b940339e421b2928067c92f6237e
               dcee4ca86e88aeec8c6f2c8062035419204b4701
    - Include stddef.h in stringops.h. Fixes build failure when
      compiled against 3.4 Linux headers.
      Commit: 2999c98e8241b81cb35846961672fc7d8c3fe235

 -- Jurij Smakov <jurij@debian.org>  Sun, 19 Aug 2012 16:14:18 +0100

silo (1.4.14+git20120226-1) unstable; urgency=low

  [ Jurij Smakov ]
  * New upstream release fixing the block and offset calculation
    for group descriptors on ext2/3 filesystems.

 -- Jurij Smakov <jurij@debian.org>  Sun, 26 Feb 2012 17:28:53 +0000

silo (1.4.14+git20120127-1) unstable; urgency=low

  [ Jurij Smakov ]
  * Failure to build against recent e2fslibs versions
    is fixed upstream. (Closes: #655897)
  * Add David Miller to copyright owners list in debian/copyright,
    mentioned in second/fs/ext2.c.
  * Add recommended build-arch and build-indep debian/rules targets
    (lintian warning).
  * Bump Standards-Version to 3.9.2, no changes necessary.
    (lintian warning).

 -- Jurij Smakov <jurij@debian.org>  Wed, 01 Feb 2012 21:06:11 +0000

silo (1.4.14+git20100228-1) unstable; urgency=low

  [ Jurij Smakov]
  * Remove the following Debian patches merged upstream:
    - silo-linux-types.patch
      (merged as eb1b1642b586cfe2b99cf890a7849226beac4e9b)
    - silo-revert-relocation-commit.patch
      (merged as 93cc5699a11424177960afa4b6a8bd6cbc72dcd9)
    No Debian-specific patches remaining.
  * Fix the build-tree target in debian/rules to not fail when
    the quilt series file is empty.

 -- Jurij Smakov <jurij@debian.org>  Sun, 28 Feb 2010 11:23:12 +0000

silo (1.4.14+git20100207-1) unstable; urgency=low

  [ Jurij Smakov ]
  * SILO is now maintained upstream by David Miller in his own
    git tree. Update the instructions on obtaining the source code
    in debian/copyright to reflect that.
  * Remove the following Debian patches merged upstream:
    - 11-silocheck_non-failure_on_stat.patch
      (merged as 35ebde57a694569d38f95983e73aa9ad610f7796)
    - 20-silo_ls_fix_date_calc.patch
      (merged as f820825406a49fea6b166377ec637b2dedb9ba2e)
    - silo.git-eb6151388752b52804f80ff27e90ec2dbde71339.patch
    - silo.git-a55764ceef83086d00b5f7b8b3027b517fc4ca23.patch
  * Add silo-linux-types.patch to fix an FTBFS caused by changes in
    the linux-libc-dev headers, which are now defining _LINUX_TYPES_H
    again. Bump linux-libc-dev build-dep to >= 2.6.32.
  * Add silo-revert-relocation-commit.patch reverting upstream
    commit 71816c5699b32bab03e57be6768a562d9568e33b which breaks
    SILO (fails to boot).
  * Build with default GCC, remove build-dep on gcc-4.3.
    (Closes: #533811)
  * Fix bashism in debian/rules. (Closes: #535419)
  * Remove bcollins from Uploaders at the request of MIA team.
    Thanks for all the fish, Ben. (Closes: #540902)
  * Add ${misc:Depends} to dependencies (lintian warning).
  * Add debian/README.source (lintian warning).
  * Bump Standards-Version to 3.8.4, no changes necessary
    (lintian warning).
  * Call siloconfig without explicit path in postinst
    (lintian warning).
  * Set -e in postinst to abort on errors (lintian warning).

 -- Jurij Smakov <jurij@debian.org>  Sun, 07 Feb 2010 10:49:43 +0000

silo (1.4.13a+git20070930-3) unstable; urgency=low

  [ Jurij Smakov ]
  * Include patches eb6151388752b52804f80ff27e90ec2dbde71339 and
    a55764ceef83086d00b5f7b8b3027b517fc4ca23 from the git tree to

