=== debian/control ===
Source: silo
Section: admin
Priority: important
Maintainer: Debootloaders SILO Maintainers Team <debootloaders-silo@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: bzip2,
               debhelper (>= 9~),
               e2fslibs-dev (>= 1.28),
               linux-libc-dev (>= 2.6.32),
               perl,
               sparc-utils
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debootloaders/silo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debootloaders/silo.git
Homepage: https://git.kernel.org/cgit/linux/kernel/git/davem/silo.git/

Package: silo
Architecture: sparc sparc64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: file
Replaces: sparc-utils (<< 1.8-1)
Built-Using: ${Built-Using}
Description: Sparc Improved LOader
 SILO is a boot loader similar to LILO or MILO, but to boot Linux on
 Sparc hardware. It can be used on hard drives, floppies or CDROM and
 allows booting Linux, Solaris, and SunOS.
 .
 Includes TILO, the Trivial Image LOader, for building TFTP boot
 loaders which can embody several kernel images for different Sun
 architectures as well as an RAM disk root image (i.e. an initrd).
 tilo needs "file" being installed to run properly.
