=== debian/rules ===
#!/usr/bin/make -f

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W e2fslibs-dev linux-libc-dev)

CC         = "gcc -m32"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC=$(CC)

override_dh_gencontrol:
	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
